<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

require_once dirname(__FILE__).'/typeResponse.php';
require_once dirname(__FILE__).'/typeCertificateDetails.php';

/*
    <xs:complexType name="getCertificateResponse">
        <xs:complexContent>
            <xs:extension base="tns:response">
                <xs:sequence>
                    <xs:element minOccurs="0" name="certificateDetails" type="tns:certificateDetails"/>
                </xs:sequence>
            </xs:extension>
        </xs:complexContent>
    </xs:complexType>
*/

/**
 * This class represents the "getCertificateResponse" WSDL type.
 * 
 * It is an extension to the PartnerAPITypeResponse class.
 * 
 * @method PartnerAPITypeGetCertificateResponse setCertificateDetails(PartnerAPITypeCertificateDetails $value The certificateDetails to be set or NULL) Sets the "certificateDetails" element
 * @method PartnerAPITypeCertificateDetails getCertificateDetails() Gets the "certificateDetails" element or NULL
 * @property PartnerAPITypeCertificateDetails $certificateDetails Gets the "certificateDetails" element or NULL
 * 
 * @package types
 * @since 1.3.0
 */
class PartnerAPITypeGetCertificateResponse extends PartnerAPITypeResponse {
    
    protected function initData() {
        $p = parent::initData();
        $n = array(
            'certificateDetails' => array('min' => 0, 'max' => 1, 'value' => NULL, 'type' => 'PartnerAPITypeCertificateDetails', 'nillable' => FALSE)
        );
        return array_merge($p, $n);
    }

}
