<?php

function CertumTokenSSL_SpaceSSL()
{
    return array(
        261 => 'SpaceSSL Domain Validation (1 year)',
        262 => 'SpaceSSL Domain Validation (2 years)',
        263 => 'SpaceSSL Domain Validation (3 years)',
        
        271 => 'SpaceSSL WildCard (1 year)',
        272 => 'SpaceSSL WildCard (2 years)',
        273 => 'SpaceSSL WildCard (3 years)',
        
        211 => 'SpaceSSL MultiDomain 4 Domeny (1 year)',
        212 => 'SpaceSSL MultiDomain 4 Domeny (2 years)',
        213 => 'SpaceSSL MultiDomain 4 Domeny (3 years)',
        
        221 => 'SpaceSSL MultiDomain 6 Domen (1 year)',
        222 => 'SpaceSSL MultiDomain 6 Domen (2 years)',
        223 => 'SpaceSSL MultiDomain 6 Domen (3 years)',
        
        231 => 'SpaceSSL MultiDomain 10 Domen (1 year)',
        232 => 'SpaceSSL MultiDomain 10 Domen (2 years)',
        233 => 'SpaceSSL MultiDomain 10 Domen (3 years)',
        
        241 => 'SpaceSSL MultiDomain 100 Domen (1 year)',
        242 => 'SpaceSSL MultiDomain 100 Domen (2 years)',
        243 => 'SpaceSSL MultiDomain 100 Domen (3 years)'
    );
    
}

function CertumTokenSSL_IDCerts()
{
    return array(
        //ID Certificates
        731 => 'Basic ID (1 year)',
        732 => 'Basic ID (2 years)',
        733 => 'Basic ID (3 years)', 
        
        711 => 'Professional ID (1 year)',
        712 => 'Professional ID (2 years)',
        713 => 'Professional ID (3 years)', 
        
        721 => 'Enterprise ID (1 year)',
        722 => 'Enterprise ID (2 years)',
        723 => 'Enterprise ID (3 years)',
        
        791 => 'Test ID (90 days)',
    );
}

function CertumTokenSSL_Commercial()
{
    return array(
        //SSL Certificates
        601 => 'Commercial SSL (1 year)',
        602 => 'Commercial SSL (2 years)',
        603 => 'Commercial SSL (3 years)',
        
        741 => 'Commercial WildCard SSL (1 year)',
        742 => 'Commercial WildCard SSL (2 years)',
        743 => 'Commercial WildCard SSL (3 years)',
        
        651 => 'Commercial MultiDomain SSL 4 Domains (1 year)',
        652 => 'Commercial MultiDomain SSL 4 Domains (2 years)',
        653 => 'Commercial MultiDomain SSL 4 Domains (3 years)',
        
        661 => 'Commercial MultiDomain SSL 6 Domains (1 year)',
        662 => 'Commercial MultiDomain SSL 6 Domains (2 years)',
        663 => 'Commercial MultiDomain SSL 6 Domains (3 years)',
        
        671 => 'Commercial MultiDomain SSL 10 Domains (1 year)',
        672 => 'Commercial MultiDomain SSL 10 Domains (2 years)',
        673 => 'Commercial MultiDomain SSL 10 Domains (3 years)',
        
        961 => 'Commercial MultiDomain SSL 100 Domains (1 year)',
        962 => 'Commercial MultiDomain SSL 100 Domains (2 years)',
        963 => 'Commercial MultiDomain SSL 100 Domains (3 years)',
    );
}

function CertumTokenSSL_Trusted()
{
    return array(
        631 => 'Trusted SSL (1 year)',
        632 => 'Trusted SSL (2 years)',
        633 => 'Trusted SSL (3 years)',
        
        681 => 'Trusted WildCard SSL (1 year)',
        682 => 'Trusted WildCard SSL (2 years)',
        683 => 'Trusted WildCard SSL (3 years)',
        
        751 => 'Trusted MultiDomain SSL 4 Domains (1 year)',
        752 => 'Trusted MultiDomain SSL 4 Domains (2 years)',
        753 => 'Trusted MultiDomain SSL 4 Domains (3 years)',
        
        761 => 'Trusted MultiDomain SSL 6 Domains (1 year)',
        762 => 'Trusted MultiDomain SSL 6 Domains (2 years)',
        763 => 'Trusted MultiDomain SSL 6 Domains (3 years)',
        
        771 => 'Trusted MultiDomain SSL 10 Domains (1 year)',
        772 => 'Trusted MultiDomain SSL 10 Domains (2 years)',
        773 => 'Trusted MultiDomain SSL 10 Domains (3 years)',
        
        971 => 'Trusted MultiDomain SSL 100 Domains (1 year)',
        972 => 'Trusted MultiDomain SSL 100 Domains (2 years)',
        973 => 'Trusted MultiDomain SSL 100 Domains (3 years)',
        
        691 => 'Test SSL 1 domain (30 days)',
    );
}

function CertumTokenSSL_PremiumEVSSL()
{
    return array(
        //Premium EV Certificates 
        641 => 'Premium EV SSL (1 year)',
        642 => 'Premium EV SSL (2 years)',
        643 => 'Premium EV SSL (3 years)',
        
        861 => 'Premium EV MultiDomain SSL 4 Domains (1 year)',
        862 => 'Premium EV MultiDomain SSL 4 Domains (2 years)',
        
        871 => 'Premium EV MultiDomain SSL 6 Domains (1 year)',
        872 => 'Premium EV MultiDomain SSL 6 Domains (2 years)',
        
        881 => 'Premium EV MultiDomain SSL 10 Domains (1 year)',
        882 => 'Premium EV MultiDomain SSL 10 Domains (2 years)',
        
        981 => 'Premium EV MultiDomain SSL 100 Domains (1 year)',
        982 => 'Premium EV MultiDomain SSL 100 Domains (2 years)',
    );
}

function CertumTokenSSL_CodeSigning()
{
    return array(
         //Code Signing Certificates 
        821 => 'Open Source Developer',
        
        841 => 'Standard Code Signing (1 year)',
        842 => 'Standard Code Signing (2 years)',
        843 => 'Standard Code Signing (3 years)',
                
        851 => 'Microsoft Code Signing (1 year)',
        852 => 'Microsoft Code Signing (2 years)',
        853 => 'Microsoft Code Signing (3 years)'
    );
}


function CertumTokenSSL_Products() 
{
    return CertumTokenSSL_IDCerts()+ CertumTokenSSL_PremiumEVSSL()+ CertumTokenSSL_Trusted()+ CertumTokenSSL_CodeSigning()+ CertumTokenSSL_Commercial() + CertumTokenSSL_SpaceSSL() + array(1000 => 'SNI Certificate');
}
function CertumTokenSSL_ConfigOptions() 
{
    if(mysql_num_rows(select_query("tblemailtemplates","*", array("name" => "Certum SSL Voucher Created")))<1){
        insert_query("tblemailtemplates",
                    array(
                        "type" => "product",
                        "name" => "Certum SSL Voucher Created",
                        "subject" => "SSL Voucher Created",
                        "message" =>'<p>Dear {$client_name},</p> <p>Thank you for your order of a SSL Voucher. The voucher code has now been generated and so you can login to the control panel and redeem the voucher as soon as you'."'".'re ready.</p> <p>Your Voucher Code is: {$voucher}</p> <p>If you have any problems or questions about the process, please get in touch with our support team for assistance.</p> <p>{$signature}</p>', 
                        "language" => "",
                        "custom" => "0"
                    )
        );
    }
    
    $customFieldsNames = array("Token Code");

    foreach($customFieldsNames as $fieldName)
    {   
        $where = array("relid" => (int)$_GET['id'], "fieldname" => $fieldName);
        if(mysql_num_rows(select_query("tblcustomfields",'*',$where)) == 0 ){
            insert_query("tblcustomfields", array("type" => "product", "relid" => (int)$_GET['id'],"fieldname" => $fieldName, "fieldtype" => "text"));     
        }
    }
    
    require_once 'loader.php';
    $loaderToken = new CertumToken\Autoloader();
    
    
    $products = null;
    
    $params  = mysql_fetch_assoc(full_query("SELECT * FROM tblproducts WHERE `id`='".(int)$_GET['id']."'"));
    require_once 'certumPartnerAPI/service.php';
    try {
        $api = new PartnerAPIServiceToken($params['configoption1'], $params['configoption2'], $params['configoption4']);

        $op = $api->operationGetProductList();;
        if ($op->call()) {  
            $lists = $op->getProducts();
        }
        $new   = array();
        foreach($lists as $key=> $val)
        {
            if($val->type == 'ISSUE')
            {
                $new[] = $key;
            }

        }

        $names = CertumTokenSSL_Products();
        foreach($new as $val)
        {
            if(!empty($names[$val])){
                $products .= $val.'|'.$names[$val].',';
            }
        }
        $products = substr($products,0,-1);
    } catch (Exception $e) {
        echo '<div class="errorbox"><strong><span class="title">'.$e->getMessage().'. Please check your API credentials.</span></strong></div>';
    }   

    $configarray            =  array(
        "User"              => array(
            "Type"          => "text",
            "Size"          => "25",
            "FriendlyName"  => CertumToken\Lang::translate("Username"),
            "Description"   => "",
            "Default"       => "",
        ),
        "Pass"              => array(
            "Type"          => "password",
            "Size"          => "25",
            "FriendlyName"  => CertumToken\Lang::translate("Password"),
            "Description"   => "",
            "Default"       => "",
        ),
      
        "Product"           => array( 
            "Type"          => "dropdown", 
            "Size"          => "25", 
            "Options"       => $products,
            "FriendlyName"  => CertumToken\Lang::translate("Product"),
            "Description"   => "",
            "Default"       => "",
        ),
        "TestMode"          => array(
            "Type"          => "yesno",
            "FriendlyName"  => CertumToken\Lang::translate("Test Mode"),
        ), 
    );
    return $configarray;

}

function CertumTokenSSL_CreateAccount($params) 
{

    require_once 'certumPartnerAPI/service.php';

     try {
            $api = new PartnerAPIServiceToken($params['configoption1'], $params['configoption2'], $params['configoption4']);

            $op = $api->operationGetActivationCode();
            $pid    = explode('|',$params['configoption3']);
            $op->setProductCode($pid[0]);
            $op->call();
            $voucher = $op->getToken();


            
        if(!empty($voucher))
        {
            $custom_field = mysql_fetch_array(select_query('tblcustomfields','id',array("fieldname"=> "Token Code", "relid"=>$params['pid'])));

            if(mysql_num_rows(select_query('tblcustomfieldsvalues','*',array("fieldid"=>$custom_field['id'],"relid"=>$params['serviceid'])))>0)
                update_query("tblcustomfieldsvalues",
                            array("value"=>$voucher),
                            array("fieldid"=>$custom_field['id'],
                            "relid"=>$params['serviceid'])
                );
            else
                insert_query("tblcustomfieldsvalues", array("fieldid"=>$custom_field['id'],"relid"=>$params['serviceid'], "value"=>$voucher));

            $command = "sendemail";
            $values["messagename"] = "Certum SSL Voucher Created";
            $values["id"] = $params['serviceid'];
            $values["customvars"] = array("voucher"=>$voucher);
            require_once 'loader.php';
            $loaderToken = new CertumToken\Autoloader();
            $results = localAPI($command,$values, CertumToken\Helpers::getAPIUser());

            return 'success';
        }
        else
        {
            return 'The voucher code has not been generated.';
        }
    }
    catch(Exception $e){
        return $e->getMessage();
    }

}

function CertumTokenSSL_Renew($params) {
    return CertumTokenSSL_CreateAccount($params);
}

function CertumTokenSSL_ClientArea($params)
{
    require_once 'loader.php';
    $loader = new CertumToken\Autoloader();
    $_LANG  = CertumToken\Lang::loadLanguage();

    return array(
         'vars' => array(
             'token' => $params['customfields']['Token Code'],
             'lang' => $_LANG
         )
     );
}
