<?php

namespace CertumToken;

class Lang 
{
    public static function loadLanguage($code = false)
    {
        $language = null;
        if(isset($_SESSION['Language'])) // GET LANG FROM SESSION
        { 
            $language = strtolower($_SESSION['Language']);
        }
        else
        {
            $q   = full_query("SELECT language FROM tblclients WHERE id = {$_SESSION['uid']}");
            $row = mysql_fetch_assoc($q); 
            if($row['language'])
                $language = $row['language'];
        }

        if(!$language)
        {
            $q        = full_query("SELECT value FROM tblconfiguration WHERE setting = 'Language' LIMIT 1");
            $row      = mysql_fetch_assoc($q);
            $language = $row['value'];
        }
        $langfilename       = dirname(dirname(__FILE__)).DIRECTORY_SEPARATOR.'lang'.DIRECTORY_SEPARATOR.$language.'.php';
        $deflangfilename    = dirname(dirname(__FILE__)).DIRECTORY_SEPARATOR.'lang'.DIRECTORY_SEPARATOR.'english.php';

        if($code)
        {
            if($language == 'english')
                return 'en';
            else
                return 'pl';
        }

        if(file_exists($langfilename)) 
            include($langfilename);
        else
            include($deflangfilename);

        return $_LANG;
    }
    
    public static function translate($key)
    {
        $_LANG = self::loadLanguage();
        if(isset($_LANG[$key]))
            return $_LANG[$key];

        return $key;
    }
}